package com.dayou.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.dayou.dto.PersonalFacePriceQueryDTO;
import com.dayou.mapper.ExternalDyDataBaseMapper;
import com.dayou.service.IExternalDyDataBaseService;
import com.dayou.vo.DayouPersonalPriceVO;
import com.dayou.vo.ExternalPersonalVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.Date;
import java.util.List;

@DS("dydb")
@Service
public class ExternalDyDataBaseServiceImpl implements IExternalDyDataBaseService {

    @Autowired
    private ExternalDyDataBaseMapper externalDyDataBaseMapper;

    @Override
    public List<ExternalPersonalVO> externalPriceByCommunityName(List<String> communityNames){

        //1.七鱼成交
        List<ExternalPersonalVO> qyDeals = externalDyDataBaseMapper.queryQiYuDealPrice(communityNames);
        //2.七鱼挂牌
        List<ExternalPersonalVO> qyUps = externalDyDataBaseMapper.queryQiYuUpPrice(communityNames);
        //3.链家成交
        List<ExternalPersonalVO> ljDeals = externalDyDataBaseMapper.queryLianJiaDealPrice(communityNames);
        //4.链家挂牌
        List<ExternalPersonalVO> ljUps = externalDyDataBaseMapper.queryLianJiaUpPrice(communityNames);

        return Collections.emptyList();
    }
}
